Bug 120923 - www/squidguard does not work unless its UID/GID are modified
www/squidguard does not work unless its UID/GID are modified
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 03:10 UTC by ktj
Modified: 2008-08-18 08:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.33 KB, patch)
2008-02-21 03:10 UTC, ktj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ktj 2008-02-21 03:10:02 UTC
www/squigguard installs blacklist files to /var/db/squidGuard and the UID:GID of the installed files is set to nobody:nogroup. The permission for the files is 0550 or 0660. On the other hand, www/squid specifies squid:squid as UID:GID.

As a result, squidGuard cannot handle blacklist files so websites that should not be accessed cannot be filtered.

Fix: For my system, the attached patch for www/squidguard/Makefile can solve above problem.

In addition the post-install message of squidGuard requests to add "redirect_program" tag to squid.conf. However, in squid.conf, "url_rewrite_program" tag is indicated instead of "redirect_program" tag.

So, it may prefarable to replace "redirect_program" in the post-install message with "url_rewrite_program". The attached patch further fixes the post-install messages.

Patch attached with submission follows:
How-To-Repeat: (1) install www/squid and www/squidguard without specifying UID/GID.
(2) set /usr/local/etc/squid/squid.conf and /usr/local/etc/squid/squidGuard based on post-install message of squidguard.
(3) test whether squidGuard properly works or not.
Comment 1 Edwin Groothuis freebsd_committer 2008-02-21 03:10:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Felippe de Meirelles Motta freebsd_committer 2008-06-22 00:31:27 UTC
State Changed
From-To: feedback->open

Feedback timeout.
Comment 3 Edwin Groothuis freebsd_committer 2008-08-18 07:58:16 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter freebsd_committer 2008-08-18 07:58:25 UTC
edwin       2008-08-18 06:58:12 UTC

  FreeBSD ports repository

  Modified files:
    www/squidguard       Makefile 
  Log:
  www/squidguard does not work unless its UID/GID are modified
  
          www/squigguard installs blacklist files to /var/db/squidGuard
          and the UID:GID of the installed files is set to nobody:nogroup.
          The permission for the files is 0550 or 0660. On the other
          hand, www/squid specifies squid:squid as UID:GID.
  
          As a result, squidGuard cannot handle blacklist files so
          websites that should not be accessed cannot be filtered.
  
  PR:             ports/120923
  Submitted by:   Jiro Kita <ktj@ktjdragon.com>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.17      +5 -5      ports/www/squidguard/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"